import request from '@/utils/request'

export function _getBatchTransferPoint() {
  return request({
    url: '/TransferBatch/GetBatchTransferPoint',
    method: 'get'
  })
}

export function _queryAndCreateTransferBatch(data) {
  return request({
    url: '/TransferBatch/QueryAndCreateTransferBatch',
    method: 'post',
    data
  })
}

export function _createTransferBatch(data) {
  return request({
    url: '/TransferBatch/createTransferBatch',
    method: 'post',
    data
  })
}

export function _queryOrderForTransferBatch(data) {
  return request({
    url: '/TransferBatch/QueryOperateOrderForTransferBatch',
    method: 'post',
    data
  })
}

export function _setCost(data) {
  return request({
    url: '/TransferBatch/SetCost',
    method: 'post',
    data
  })
}

export function _sign(data) {
  return request({
    url: '/TransferBatch/Sign',
    method: 'post',
    data
  })
}
